Skip to main content

Improper Validation of Array Index

CVE-2022-35737

Severity High
Score 7.5/10

Summary

SQLite 1.0.12 through 3.39.1 sometimes allows an Array-bounds overflow if billions of bytes are used in a string argument to a C API.

  • LOW
  • NETWORK
  • NONE
  • UNCHANGED
  • NONE
  • NONE
  • NONE
  • HIGH

CWE-129 - Improper Validation of Array Index

The product uses untrusted input when calculating or using an array index, but the product does not validate or incorrectly validates the index to ensure the index references a valid position within the array.

Advisory Timeline

  • Published